#ifndef _ieee_h_
#define _ieee_h_

/* 
 * Constant listings for IEEE shirt... 
 *	NOTE:	These sort of constants should not be in a header file.
 */

/*
 * char shirt_type[7][20]={"Hoody","Sweatshirt","Long_T",
 * 				"T_shirt","Childs","Polo",""},
 * 	 shirt_type_price[7][6]={"30.00","25.00","18.00","16.00","14.00","35.00"},
 * 	 shirt_size[6][20]={"XXL","XL","L","M","S", ""},
 * 	 shirt_color[6][20]={"White","Gray","Blue","Black","Other", ""};
 */

typedef struct expense_type{
	int serial;
	int responsible;
	char* next;
	char* account;
	int amount;
	char* description;

}expense_type;

typedef struct receipt_type{
	int serial;
	char* next;
	char* account;
	char* description;
	int tax;
	int price;

}receipt_type;

typedef struct persocom{
	int serial;
	char* real_name;
	char* user_name;
	char* password;
	char* email;
	char* street;
	char* url;
	char* description;
	int   ieee_number;
	int   zip;
	int   phone;
	char* city;
}persocom;

typedef struct order_type{
	int serial;
	int person;
	char* paid;
	char* delivered;
	char* description;
	char* account;
}order_type;

typedef struct inventory_type{
	int serial;
	char* type;
	char* sub_type;
	char* size;
	char* color;
	int price;
	int stock;
	int who;
	char* description;
}inventory_type;

#define BUF_SIZE 1024

/* Find all occurances of a specific inventory item, and total it *//*
* int find_total(char* buf){
* 	PGresult *foo;
* 	int i,tmp, total=0;
* 
* 	foo=exec(buf);
* 	for (i=0; i < PQntuples(foo); i++) {
* 		tmp=atoi(PQgetvalue(foo,i,0));
* 		total+=tmp;
* 	}
* 	return(total);
* }*/


#endif

